#include <iostream>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k;
    cin>>n>>k;
    int p[n];
    int x=20001;
    for(int i=0;i<n;i++){
        cin>>p[i];
        if(p[i]==k){
           x=i;
        }
    }
    if(x==n-1){
        cout<<p[0];
        return 0;
    }else if(x<n-1){
        cout<<p[x+1];
        return 0;
    }else{
        return 0;
    }

}